# -*- encoding: utf-8 -*-

require File.expand_path('../lib/textp/version', __FILE__)

Gem::Specification.new do |gem|
  gem.name          = "textp"
  gem.version       = Textp::VERSION
  gem.summary       = "Simple Text parsing for html or just text."
  gem.description   = "Give a string of text with a link and it will replace the link with the embeded HTML content."
  gem.license       = "MIT"
  gem.authors       = ["Joshua Kidd"]
  gem.email         = "kidd.josh.343@gmail.com"
  gem.homepage      = "https://rubygems.org/gems/textp"

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ['lib']

  gem.add_dependency 'ruby-oembed', '~> 0.8.9'

  gem.add_development_dependency 'rdoc', '~> 3.0'
  gem.add_development_dependency 'rspec', '~> 3.0.0.beta2'
  gem.add_development_dependency 'rubygems-tasks', '~> 0.2'
end
